#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libcdio
Version		:	2.1.0
Release		:	14.8.0.0%{?dist}
Summary		:	CD-ROM input and control library
Group		:	User Interface/X

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://ftp.gnu.org/gnu/libcdio

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
%description
This library provides an interface for CD-ROM access. It can be used
by applications that need OS- and device-independent access to CD-ROM
devices.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./configure							\
        --prefix=%{_prefix}					\
        --includedir=%{_includedir}				\
        --sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	--disable-static					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#To remove empty info directory
%{__rm} -fr %{buildroot}%{_infodir}/dir

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS.md README
%{_bindir}/cd-*
%{_bindir}/cdda-player
%{_bindir}/iso-info
%{_bindir}/iso-read
%{_bindir}/mmc-tool
%{_includedir}/cdio/*.h
%{_includedir}/cdio++/*.hpp
%{_libdir}/%{name}*.so*
%{_libdir}/libiso9660*.so*
%{_libdir}/libudf.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/pkgconfig/libiso*.pc
%{_libdir}/pkgconfig/libudf.pc
%{_infodir}/%{name}.info.gz
%{_mandir}/man1/*.1.gz

%post

%postun

%changelog
